Package wx :: Class FontDialog

[frames | no frames]

## Type FontDialog

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
            TopLevelWindow --+
                             |
                        Dialog --+
                                 |
                                FontDialog

wx.FontDialog allows the user to select a system font and its attributes.

See Also:

`wx.FontData`

Method Summary
FontDialog | ``__init__`(self, parent, data)` Constructor.
FontData | ``GetFontData`(self)` Returns a reference to the internal `wx.FontData` used by the wx.FontDialog.

Property Summary
| `FontData`: See `GetFontData`
| `thisown`: The membership flag

Class Variable Summary

Instance Method Details

### __init__(self, parent, data)
(Constructor)

Constructor. Pass a parent window and the `wx.FontData` object to be used to initialize the dialog controls. Call `ShowModal` to display the dialog. If ShowModal returns `wx.ID_OK` then you can fetch the results with via the `wx.FontData` returned by `GetFontData`.

  Parameters:
    `parent`
    (type=Window)

    `data`
    (type=FontData)

  Returns:
    FontDialog
  Overrides:
    `wx.Dialog.__init__`

### GetFontData(self)

Returns a reference to the internal `wx.FontData` used by the wx.FontDialog.

  Returns:
    FontData

Property Details

### FontData

See `GetFontData`

  Get Method:
    `GetFontData`(self)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:10:33 2007 | http://epydoc.sf.net